-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: httpd security update
Advisory ID:       RHSA-2022:0143-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:0143
Issue date:        2022-01-17
CVE Names:         CVE-2021-26691 CVE-2021-34798 CVE-2021-39275 
                   CVE-2021-44790 
=====================================================================

1. Summary:

An update for httpd is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Client Optional (v. 7) - noarch, x86_64
Red Hat Enterprise Linux ComputeNode Optional (v. 7) - noarch, x86_64
Red Hat Enterprise Linux Server (v. 7) - noarch, ppc64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux Server Optional (v. 7) - ppc64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux Workstation (v. 7) - noarch, x86_64
Red Hat Enterprise Linux Workstation Optional (v. 7) - x86_64

3. Description:

The httpd packages provide the Apache HTTP Server, a powerful, efficient,
and extensible web server.

Security Fix(es):

* httpd: mod_lua: Possible buffer overflow when parsing multipart content
(CVE-2021-44790)

* httpd: mod_session: Heap overflow via a crafted SessionHeader value
(CVE-2021-26691)

* httpd: NULL pointer dereference via malformed requests (CVE-2021-34798)

* httpd: Out-of-bounds write in ap_escape_quotes() via malicious input
(CVE-2021-39275)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

After installing the updated packages, the httpd daemon will be restarted
automatically.

5. Bugs fixed (https://bugzilla.redhat.com/):

1966732 - CVE-2021-26691 httpd: mod_session: Heap overflow via a crafted SessionHeader value
2005119 - CVE-2021-39275 httpd: Out-of-bounds write in ap_escape_quotes() via malicious input
2005128 - CVE-2021-34798 httpd: NULL pointer dereference via malformed requests
2034674 - CVE-2021-44790 httpd: mod_lua: Possible buffer overflow when parsing multipart content

6. Package List:

Red Hat Enterprise Linux Client Optional (v. 7):

Source:
httpd-2.4.6-97.el7_9.4.src.rpm

noarch:
httpd-manual-2.4.6-97.el7_9.4.noarch.rpm

x86_64:
httpd-2.4.6-97.el7_9.4.x86_64.rpm
httpd-debuginfo-2.4.6-97.el7_9.4.x86_64.rpm
httpd-devel-2.4.6-97.el7_9.4.x86_64.rpm
httpd-tools-2.4.6-97.el7_9.4.x86_64.rpm
mod_ldap-2.4.6-97.el7_9.4.x86_64.rpm
mod_proxy_html-2.4.6-97.el7_9.4.x86_64.rpm
mod_session-2.4.6-97.el7_9.4.x86_64.rpm
mod_ssl-2.4.6-97.el7_9.4.x86_64.rpm

Red Hat Enterprise Linux ComputeNode Optional (v. 7):

Source:
httpd-2.4.6-97.el7_9.4.src.rpm

noarch:
httpd-manual-2.4.6-97.el7_9.4.noarch.rpm

x86_64:
httpd-2.4.6-97.el7_9.4.x86_64.rpm
httpd-debuginfo-2.4.6-97.el7_9.4.x86_64.rpm
httpd-devel-2.4.6-97.el7_9.4.x86_64.rpm
httpd-tools-2.4.6-97.el7_9.4.x86_64.rpm
mod_ldap-2.4.6-97.el7_9.4.x86_64.rpm
mod_proxy_html-2.4.6-97.el7_9.4.x86_64.rpm
mod_session-2.4.6-97.el7_9.4.x86_64.rpm
mod_ssl-2.4.6-97.el7_9.4.x86_64.rpm

Red Hat Enterprise Linux Server (v. 7):

Source:
httpd-2.4.6-97.el7_9.4.src.rpm

noarch:
httpd-manual-2.4.6-97.el7_9.4.noarch.rpm

ppc64:
httpd-2.4.6-97.el7_9.4.ppc64.rpm
httpd-debuginfo-2.4.6-97.el7_9.4.ppc64.rpm
httpd-devel-2.4.6-97.el7_9.4.ppc64.rpm
httpd-tools-2.4.6-97.el7_9.4.ppc64.rpm
mod_session-2.4.6-97.el7_9.4.ppc64.rpm
mod_ssl-2.4.6-97.el7_9.4.ppc64.rpm

ppc64le:
httpd-2.4.6-97.el7_9.4.ppc64le.rpm
httpd-debuginfo-2.4.6-97.el7_9.4.ppc64le.rpm
httpd-devel-2.4.6-97.el7_9.4.ppc64le.rpm
httpd-tools-2.4.6-97.el7_9.4.ppc64le.rpm
mod_session-2.4.6-97.el7_9.4.ppc64le.rpm
mod_ssl-2.4.6-97.el7_9.4.ppc64le.rpm

s390x:
httpd-2.4.6-97.el7_9.4.s390x.rpm
httpd-debuginfo-2.4.6-97.el7_9.4.s390x.rpm
httpd-devel-2.4.6-97.el7_9.4.s390x.rpm
httpd-tools-2.4.6-97.el7_9.4.s390x.rpm
mod_session-2.4.6-97.el7_9.4.s390x.rpm
mod_ssl-2.4.6-97.el7_9.4.s390x.rpm

x86_64:
httpd-2.4.6-97.el7_9.4.x86_64.rpm
httpd-debuginfo-2.4.6-97.el7_9.4.x86_64.rpm
httpd-devel-2.4.6-97.el7_9.4.x86_64.rpm
httpd-tools-2.4.6-97.el7_9.4.x86_64.rpm
mod_session-2.4.6-97.el7_9.4.x86_64.rpm
mod_ssl-2.4.6-97.el7_9.4.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 7):

ppc64:
httpd-debuginfo-2.4.6-97.el7_9.4.ppc64.rpm
mod_ldap-2.4.6-97.el7_9.4.ppc64.rpm
mod_proxy_html-2.4.6-97.el7_9.4.ppc64.rpm

ppc64le:
httpd-debuginfo-2.4.6-97.el7_9.4.ppc64le.rpm
mod_ldap-2.4.6-97.el7_9.4.ppc64le.rpm
mod_proxy_html-2.4.6-97.el7_9.4.ppc64le.rpm

s390x:
httpd-debuginfo-2.4.6-97.el7_9.4.s390x.rpm
mod_ldap-2.4.6-97.el7_9.4.s390x.rpm
mod_proxy_html-2.4.6-97.el7_9.4.s390x.rpm

x86_64:
httpd-debuginfo-2.4.6-97.el7_9.4.x86_64.rpm
mod_ldap-2.4.6-97.el7_9.4.x86_64.rpm
mod_proxy_html-2.4.6-97.el7_9.4.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 7):

Source:
httpd-2.4.6-97.el7_9.4.src.rpm

noarch:
httpd-manual-2.4.6-97.el7_9.4.noarch.rpm

x86_64:
httpd-2.4.6-97.el7_9.4.x86_64.rpm
httpd-debuginfo-2.4.6-97.el7_9.4.x86_64.rpm
httpd-devel-2.4.6-97.el7_9.4.x86_64.rpm
httpd-tools-2.4.6-97.el7_9.4.x86_64.rpm
mod_session-2.4.6-97.el7_9.4.x86_64.rpm
mod_ssl-2.4.6-97.el7_9.4.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 7):

x86_64:
httpd-debuginfo-2.4.6-97.el7_9.4.x86_64.rpm
mod_ldap-2.4.6-97.el7_9.4.x86_64.rpm
mod_proxy_html-2.4.6-97.el7_9.4.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2021-26691
https://access.redhat.com/security/cve/CVE-2021-34798
https://access.redhat.com/security/cve/CVE-2021-39275
https://access.redhat.com/security/cve/CVE-2021-44790
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYeVdC9zjgjWX9erEAQgzNw/8CjsxUvDW64dwvpcYH/OWJhKqvD53sX+w
ivf4+hhCsEVLvrjD0eTNkbeza+dcZqoR5swL0IjAGXKJ/0q/oh4/yxq2ydgvEYsY
rAjts0tnynoswBaFo6eaBlcNxQroGID0uqgXkUFt37m4eetACuOSVRcZ7/sNsqBS
iQF4l16vjNvKeOdKY8nSNe77Dt1/Lj41NoL6XbAZPuvaiLBqqGOY9xYfZSSmFHFq
H4dB8cfMC4cWysFtnzffJ+dJdzcWNOxklwLlZe72JoAJYP59da2YuIoE2LsQRGPC
Occ84zH/UZx4JWJhF7FEEALC/tizfFqu9qWr1OIDmSVTEAZ+6IZ/mDeF83+0Mrc4
AiV3oiJi7Fx4XTDUL8fim+FORaSI2IR7LK1Zjau1qCN04ayyFXwJdK/fwgIWJHon
gYhyUsAj7F7At9m8cCVRP5K4jjmr0qrmsF1M1B6xqMLWlYNcWu3obJS/FbiSdwQJ
7jFdBagThGOzIle0eGk0iMZ+vRJSuaSMZ7GDA14o46KB+EkvYLe+wi6jBQXJeD6Q
Oueenu2JiMvB8+dJNYrn9uQY+8WHyCVV1HMMmVo9LajA1FJRXgMIQN5ZmDMoDW73
qFV+VCOHtKPI2hC8ngZYy2RyEUhK4t3f7xmJgtoJ4/DuaGsRWL7xZPL7gLHxWnS4
5VjPyLrWg5U=
=TyMo
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce